Subject: Re: [RFC+PATCH 1/1] Move SCM interoperability tools into scm/

From: Ryan Anderson <[email-masked]>
Date: Sun, 09 Jul 2006 17:20:18 -0700

Timo Hirvonen wrote:
> Petr Baudis <[email-masked]> wrote:
>
>   
>> I've been meaning to do something like this for some time already; my
>> itch have been the builtins. The tree size _is_ getting out of hand and
>> a little more categorization of the sources would certainly help.
>> Although I'd take a different approach:
>>
>> 	libgit/
>> 	builtin/
>> 	standalone/
>> 	scripts/
>>     
>
> Please don't.  One directory is much easier to work with.  At least
> don't split the Makefile.  Also moving files makes "git log <file>"
> stop at the rename.
>   
By "don't split the Makefile", do mean, "Don't use recursive make"?

I'm fine with that (and if you look at my patch, I "include
scm/Makefile" to do just that), but if you mean "keep only a top-level
Makefile", well, I think that continues the problem of "there is too
much stuff going on here", but I can be persuaded otherwise.

-- 

Ryan Anderson
  sometimes Pug Majere